LineEvent.Type (Java SE 13 & JDK 13 )
Description: declaration: module: java.desktop, package: javax.sound.sampled, class: LineEvent, class: Type
Keywords: javax.sound.sampled.LineEvent.Type class

Module java.desktop
Package javax.sound.sampled

# Class LineEvent.Type

java.lang.Object
javax.sound.sampled.LineEvent.Type

Enclosing class:
  LineEvent

    public static class LineEvent.Type
    extends Object

The LineEvent.Type inner class identifies what kind of event occurred on a line. Static instances are provided for the common types (OPEN, CLOSE, START, and STOP).

See Also:
  `LineEvent.getType()`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static LineEvent.Type` | `CLOSE` | A type of event that is sent when a line closes, freeing the system resources it had obtained when it was opened.
  `static LineEvent.Type` | `OPEN` | A type of event that is sent when a line opens, reserving system resources for itself.
  `static LineEvent.Type` | `START` | A type of event that is sent when a line begins to engage in active input or output of audio data in response to a `start` request.
  `static LineEvent.Type` | `STOP` | A type of event that is sent when a line ceases active input or output of audio data in response to a `stop` request, or because the end of media has been reached.

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `Type​(String name)` | Constructs a new event type.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(Object obj)` | Indicates whether the specified object is equal to this event type, returning `true` if the objects are the same.
  `int` | `hashCode()` | Returns a hash code value for this event type.
  `String` | `toString()` | Returns the type name as the string representation.

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OPEN

    public static final LineEvent.Type OPEN
    A type of event that is sent when a line opens, reserving system resources for itself.
    See Also:
      `CLOSE`, `Line.open()`

  - ### CLOSE

    public static final LineEvent.Type CLOSE
    A type of event that is sent when a line closes, freeing the system resources it had obtained when it was opened.
    See Also:
      `OPEN`, `Line.close()`

  - ### START

    public static final LineEvent.Type START
    A type of event that is sent when a line begins to engage in active input or output of audio data in response to a `start` request.
    See Also:
      `STOP`, `DataLine.start()`

  - ### STOP

    public static final LineEvent.Type STOP
    A type of event that is sent when a line ceases active input or output of audio data in response to a `stop` request, or because the end of media has been reached.
    See Also:
      `START`, `DataLine.stop()`

- ## Constructor Details

  - ### Type

    protected Type​(String name)
    Constructs a new event type.
    Parameters:
      `name` - name of the type

- ## Method Details

  - ### equals

    public final boolean equals​(Object obj)
    Indicates whether the specified object is equal to this event type, returning `true` if the objects are the same.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `obj` - the reference object with which to compare
    Returns:
      `true` if the specified object is equal to this event type; `false` otherwise
    See Also:
      `Object.hashCode()`, `HashMap`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this event type.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hash code value for this event type
    See Also:
      `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

  - ### toString

    public String toString()
    Returns the type name as the string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the type name as the string representation